This endpoint returns the version information and allowed network-specific types for a NetworkIdentifier. Any NetworkIdentifier returned by /network/list should be accessible here. Because options are retrievable in the context of a NetworkIdentifier, it is possible to define unique options for each network.

export
interface

  RosettaOptionsRequest

### Hierarchy

- RosettaOptionsRequest

## Index

### Properties

- metadata
- network_identifier

## Properties

### Optional metadata

metadata: object

- Defined in src/generated/models/RosettaOptionsRequest.ts:40

memberof

  RosettaOptionsRequest

### network_identifier

network_identifier: NetworkIdentifier

- Defined in src/generated/models/RosettaOptionsRequest.ts:34

memberof

  RosettaOptionsRequest

Generated using TypeDoc